Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface LocalizationControl

    @ControlInterface
    public interface LocalizationControl

Method Summary
`void` | `addLocalizationResource(LocalizationIntersectionId id, Locale locale, String title, String description, String type, String appName, ResourceContext context)` Adds a new LocalizationResource
`void` | `deleteLocalizationResource(LocalizationLocaleId localeId, LocalizationIntersectionId intersectId, ResourceContext context)` Deletes a localization resource.
`Locale` | `getLocale(LocalizationLocaleId id, ResourceContext context)` This method will lookup the locale associated with the localizationLocaleId.
`SortableFilterablePagedResult<LocalizationLocale>` | `getLocalizationLocales(int pageSize, ResourceContext context)` Gets all the available locales.
`SortableFilterablePagedResult<LocalizationResource>` | `getLocalizationResources(int pageSize, LocalizationIntersectionId id, ResourceContext context)` Returns all the LocalizationResources given a LocalizationIntersectionId.
`LocalizationResource[]` | `getLocalizationResources(LocalizationIntersectionId id, ResourceContext context)` Returns all the LocalizationResources given a LocalizationIntersectionId.
`void` | `updateLocalizationResource(LocalizationIntersectionId id, Locale locale, String title, String description, ResourceContext context)` Updates a LocalizationResource
`void` | `updateLocalizationResource(LocalizationResource resource, ResourceContext context)` Updates a LocalizationResource

Method Detail

### getLocale

    Locale getLocale(LocalizationLocaleId id,
                     ResourceContext context)
                     throws ToolsException

  This method will lookup the locale associated with the localizationLocaleId. If it's not found, the locale from the request is returned.

  Parameters
    `id` - The id associated with the locale
    `context` - the resource context.
  Returns
    The locale associated with the localizationLocaleId
  Throws
    `ToolsException`

### getLocalizationLocales

    SortableFilterablePagedResult<LocalizationLocale> getLocalizationLocales(int pageSize,
                                                                             ResourceContext context)
                                                                             throws ToolsException

  Gets all the available locales.

  Parameters
    `pageSize` - the number of results to return per page.
    `context` - the resource context.
  Returns
    A PagedResult of all locales on the system.
  Throws
    `ToolsException`

### getLocalizationResources

    LocalizationResource[] getLocalizationResources(LocalizationIntersectionId id,
                                                    ResourceContext context)
                                                    throws ToolsException

  Returns all the LocalizationResources given a LocalizationIntersectionId.

  Parameters
    `id` - The id of all the locales associated with the Portal Resource.
    `context` - the resource context.
  Returns
    An array of LocalizationResource objects.
  Throws
    `ToolsException`

### getLocalizationResources

    SortableFilterablePagedResult<LocalizationResource> getLocalizationResources(int pageSize,
                                                                                 LocalizationIntersectionId id,
                                                                                 ResourceContext context)
                                                                                 throws ToolsException

  Returns all the LocalizationResources given a LocalizationIntersectionId.

  Parameters
    `pageSize` - The size of the pages in the PagedResult
    `id` - The id of all the locales associated with the Portal Resource.
    `context` - the resource context.
  Returns
    A PagedResult of LocalizationResource objects.
  Throws
    `ToolsException`

### addLocalizationResource

    void addLocalizationResource(LocalizationIntersectionId id,
                                 Locale locale,
                                 String title,
                                 String description,
                                 String type,
                                 String appName,
                                 ResourceContext context)
                                 throws ToolsException,
                                        MissingDataException,
                                        ObjectNotFoundException

  Adds a new LocalizationResource

  Parameters
    `id` - The LocalizationIntersectionId
    `locale` - The new locale object
    `title` - The associated title.
    `description` - The associated description
    `type` - The type or portal resource this maps to.
    `appName` - The enterprise application name.
    `context` - the resource context.
  Throws
    `ToolsException`
    `MissingDataException`
    `ObjectNotFoundException`

### updateLocalizationResource

    void updateLocalizationResource(LocalizationIntersectionId id,
                                    Locale locale,
                                    String title,
                                    String description,
                                    ResourceContext context)
                                    throws ToolsException,
                                           MissingDataException,
                                           ObjectNotFoundException

  Updates a LocalizationResource

  Parameters
    `id` - The LocalizationIntersectionId
    `locale` - The existing locale object
    `title` - The new title.
    `description` - The new description
    `context` - the resource context.
  Throws
    `ToolsException`
    `MissingDataException`
    `ObjectNotFoundException`

### updateLocalizationResource

    void updateLocalizationResource(LocalizationResource resource,
                                    ResourceContext context)
                                    throws ToolsException,
                                           MissingDataException,
                                           ObjectNotFoundException

  Updates a LocalizationResource

  Parameters
    `resource` - The LocalizationResource
    `context` - the resource context.
  Throws
    `ToolsException`
    `MissingDataException`
    `ObjectNotFoundException`

### deleteLocalizationResource

    void deleteLocalizationResource(LocalizationLocaleId localeId,
                                    LocalizationIntersectionId intersectId,
                                    ResourceContext context)
                                    throws ToolsException,
                                           ObjectNotFoundException

  Deletes a localization resource.

  Parameters
    `localeId` - The LocalizationLocaleId
    `intersectId` - The LocalizationIntersectionId
    `context` - the resource context.
  Throws
    `ToolsException`
    `ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.